$(
    function() {

        $(window).resize(
            function() {
                resizeFrame();
            }
        );

    }
)

function resizeFrame() {

    var bodyHeight = $(".masterFrame").height() ;
    var vwptHeight = $(window).height();

    if (vwptHeight > bodyHeight) {
        $("footer").addClass("fixed");
    } else {
        $("footer").removeClass("fixed");
    }

}

jQuery(window).load(function () {
    resizeFrame();
});
